Subject: Re: Serial console

From: Daniel Ann <[email-masked]>
Date: Sat, 30 Jul 2005 10:34:23 +0900

Looks like I have /dev/console
0 crw-------  1 root root 5, 1 Sep 26  2002 console
0 crw-rw-rw-  1 root root 4, 64 Jun 17  2004 ttyS0

I havent yet figured out how I should go about seeing if init is
correctly accessing it tho. Let me take a look at busybox init part.
BTW, any more reasons why this problem might exist ?

On 7/30/05, Ricardo Scop <[email-masked]> wrote:
> Hi Daniel,
>=20
> On Friday 29 July 2005 22:06, Daniel Ann wrote:
> > Hi folks,
> >
> > Just wondering if anyone could lend a hand with this problem I have
> > with serial console. I'm trying to boot up my board (very similar to
> > sandpoint using MPC8245) with kernel 2.6.12.3, and most of it is
> > working but console will display up to,
> > [snip]
> > RAMDISK: Compressed image found at block 0
> > VFS: Mounted root (ext2 filesystem) readonly.
> > Freeing unused kernel memory: 112k init
> >
> > I've done series of printk in sys_execve() to see if /sbin/init is
> > working, and found out it went thru the whole rcS file okay. Mind you,
> > printk is successfully displaying the output on the console while I'm
> > still not getting anything from the user processes.
> >
> > Having all the kernel boot up log on console means that I've done some
> > part right. But why am I not getting anything from the user processes
> > on the console screen ?
> >
> Please verify that you have a /dev/console in your rootfs, and that it's =
being
> correctly acessed by the init process.
>=20
> HTH,
>=20
> --
> Ricardo Scop.
>=20
>        \|/
>    ___ -*-
>   (@ @)/|\
>  /  V  \|  R SCOP Consult.
>  /(     )\  Linux-based communications
> --^^---^^+------------------------------
> [email-masked]
> +55 51 999-36-777
> Porto Alegre, RS - BRazil
>=20
>=20

--=20
Daniel